org.flexdock.plaf.resources.action

## Class DefaultAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - org.flexdock.plaf.resources.action.DefaultAction

All Implemented Interfaces:
  java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

    public class DefaultAction
    extends javax.swing.AbstractAction

Author:
  Christopher Butler
See Also:
  Serialized Form

### Field Summary

Fields
`static DefaultAction` `SINGLETON`

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`DefaultAction()`

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SINGLETON

    public static final DefaultAction SINGLETON

### Constructor Detail

#### DefaultAction

    public DefaultAction()

### Method Detail

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)